Sections

Media

Used by the website. These routes don't accept an API key.

POST/media/{paper_id}/generate-image

Generate Image

Website sign-in only
Parameters
NameInTypeDescription
paper_id *pathinteger
Request body (JSON)
FieldTypeDescription
depthinteger
text *string
Response: GenerateImageResponse
FieldTypeDescription
image_url *string
curl
curl -X POST 'https://api.papervantage.com/media/1/generate-image' \
  -H "Authorization: Bearer $COGNITO_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"text":"<text>"}'

Next: Health check and OAuth sign-in